it-swarm.com.de

Kompiliere snort 2.9.8.2: ERROR! dnet-Header nicht gefunden

Ich kompiliere Snort 2.9.8.2 unter Ubuntu 16.04. Wenn ich ./configure starte, wird folgender Fehler angezeigt:

   ERROR!  dnet header not found, go get it from
   http://code.google.com/p/libdnet/ or use the --with-dnet-*
   options, if you have it installed in an unusual place

Die Installation von libdnet-dev hat das Problem nicht gelöst. Gibt es diese Header-Datei im offiziellen Repository von Ubuntu?

3
SuB

Mein SNORT-Installationsproblem wurde durch die Installation von libdumbnet-dev behoben:

apt-get install libdumbnet-dev

( Quelle )

dnet.h befindet sich in den Linux-Headern. Installieren Sie daher das Paket build-essential. Sie können apt-file search dnet.h verwenden, um die Pakete für Dateien zu finden.


Mein Fehler, installieren Sie einfach die Header direkt Pakete Linux-Header und Linux-Header-Generic. Diese sollten die Header für jeden Kernel erhalten, den Sie installieren.

0
ubfan1